function multiInit() {
  _local.groupOffset=(_orientation=='landscape'?44:34);
  _local.groupWidth=(_iOSDevice=='iPad'?360:320);
  _local.groupShift=(_iOSDevice=='iPad'?326:276);
  _local.groupTop=0;
  _local.remote1open=false;
  _local.remote2open=false;
  _local.remote3open=false;
}

function toggleRemote1() {
  if (!_local.remote1open) {
    openRemote1(true);
  } else  {
    closeRemote1(true);
  }
}

function toggleRemote2() {
  if (!_local.remote2open) {
    openRemote2(true);
  } else  {
    closeRemote2(true);
  }
}

function toggleRemote3() {
  if (!_local.remote3open) {
    openRemote3(true);
  } else  {
    closeRemote3(true);
  }
}

function openRemote1(animated) {
  if (animated) {
    if (_iOSDevice=='iPad') {
        _animateFrame('Remote1',_screenWidth-(_local.groupShift+(_local.groupOffset*2)),_local.groupTop,_local.groupWidth,_screenHeight);
        _animateRotation('ShowRemote1',180);
    }
  } else {
    if (_iOSDevice=='iPad') {
        _setFrame('Remote1',_screenWidth-(_local.groupShift+(_local.groupOffset*2)),_local.groupTop,_local.groupWidth,_screenHeight);
        _setRotation('ShowRemote1',180);
    }
  }
  _local.remote1open=true;
}

function openRemote2(animated) {
  if (animated) {
    if (_iOSDevice=='iPad') {
        _animateFrame('Remote2',_screenWidth-(_local.groupShift+_local.groupOffset),_local.groupTop,_local.groupWidth,_screenHeight);
    } else {
        _animateAlpha('Remote2',1);
        _animateAlpha('Remote3',0);
        _animateFrame('Remote1',_local.groupShift,_local.groupTop,_local.groupWidth,_screenHeight);
    }
    _animateRotation('ShowRemote2',180);
  } else {
    if (_iOSDevice=='iPad') {
        _setFrame('Remote2',_screenWidth-(_local.groupShift+_local.groupOffset),_local.groupTop,_local.groupWidth,_screenHeight);
    } else {
        _setAlpha('Remote2',1);
        _setAlpha('Remote3',0);
        _setFrame('Remote1',_local.groupShift,_local.groupTop,_local.groupWidth,_screenHeight);
    }
    _setRotation('ShowRemote2',180);
  }
  _local.remote2open=true;
}

function openRemote3(animated) {
  if (animated) {
    if (_iOSDevice=='iPad') {
        _animateFrame('Remote3',_screenWidth-_local.groupShift,_local.groupTop,(_iOSDevice=='iPad'?_local.groupWidth:_local.groupShift),_screenHeight);
    } else {
        _animateAlpha('Remote3',1);
        _animateAlpha('Remote2',0);
        _animateFrame('Remote1',-_local.groupShift,_local.groupTop,_local.groupWidth,_screenHeight);
    }
    _animateRotation('ShowRemote3',180);
  } else {
    if (_iOSDevice=='iPad') {
        _setFrame('Remote3',_screenWidth-_local.groupShift,_local.groupTop,(_iOSDevice=='iPad'?_local.groupWidth:_local.groupShift),_screenHeight);
    } else {
        _setAlpha('Remote3',1);
        _setAlpha('Remote2',0);
        _setFrame('Remote1',-_local.groupShift,_local.groupTop,_local.groupWidth,_screenHeight);
    }
    _setRotation('ShowRemote3',180);
  }
  _local.remote3open=true;
}

function closeRemote1(animated) {
  if (animated) {
    if (_iOSDevice=='iPad') {
        _animateFrame('Remote1',_screenWidth-(_local.groupOffset*3),_local.groupTop,_local.groupWidth,_screenHeight);
    } else {
        _animateFrame('Remote1',0,_local.groupTop,_local.groupWidth,_screenHeight);
    }
    _animateRotation('ShowRemote1',0);
  } else {
    if (_iOSDevice=='iPad') {
        _setFrame('Remote1',_screenWidth-(_local.groupOffset*3),_local.groupTop,_local.groupWidth,_screenHeight);
    } else {
        _setFrame('Remote1',0,_local.groupTop,_local.groupWidth,_screenHeight);
    }
    _setRotation('ShowRemote1',0);
  }
  _setEnabled('Remote1',true);
  if (_iOSDevice=='iPhone') {
      _setAlpha('Remote2',0);
      _setAlpha('Remote3',0);
  }
  _local.remote1open=false;
}

function closeRemote2(animated) {
  if (animated) {
      if (_iOSDevice=='iPad') {
        _animateFrame('Remote2',_screenWidth-(_local.groupOffset*2),_local.groupTop,_local.groupWidth,_screenHeight);
      } else {
        _animateFrame('Remote1',0,_local.groupTop,_local.groupWidth,_screenHeight);
      }
      _animateRotation('ShowRemote2',0);
  } else {
    if (_iOSDevice=='iPad') {
        _setFrame('Remote2',_screenWidth-(_local.groupOffset*2),_local.groupTop,_local.groupWidth,_screenHeight);
    } else {
        _setFrame('Remote1',0,_local.groupTop,_local.groupWidth,_screenHeight);
    }
    _setRotation('ShowRemote2',0);
  }
  if (_iOSDevice=='iPad') {
      _setEnabled('Remote2',true);
  } else {
    _setAlpha('Remote2',0);
  }
  _local.remote2open=false;
}

function closeRemote3(animated) {
  if (animated) {
    if (_iOSDevice=='iPad') {
        _animateFrame('Remote3',_screenWidth-_local.groupOffset,_local.groupTop,_local.groupWidth,_screenHeight);
    } else {
        _animateFrame('Remote1',0,_local.groupTop,_local.groupWidth,_screenHeight);
    }
    _animateRotation('ShowRemote3',0);
  } else {
    if (_iOSDevice=='iPad') {
        _setFrame('Remote3',_screenWidth-_local.groupOffset,_local.groupTop,_local.groupWidth,_screenHeight);
    } else {
        _setFrame('Remote1',0,_local.groupTop,_local.groupWidth,_screenHeight);
    }
    _setRotation('ShowRemote3',0);
  }
  if (_iOSDevice=='iPad') {
      _setEnabled('Remote3',true);
  } else {
    _setAlpha('Remote3',0);
  }
  _local.remote3open=false;
}

function closeAll(animated) {
  closeRemote3(animated);
  closeRemote2(animated);
  closeRemote1(animated);
}

function allWidth() {
  _setWidth('Remote1',_local.groupWidth);
  _setWidth('Remote2',_local.groupWidth);
  _setWidth('Remote3',_local.groupWidth);
}

function _tcOrientationChange() {
  _local.groupOffset=(_orientation=='landscape'?44:34)
  if (_local.remote3open) {
    openRemote3(true);
  } else {
    closeRemote3(true);
  }
  if (_local.remote2open) {
    openRemote2(true);
  } else {
    closeRemote2(true);
  }
  if (_local.remote1open) {
    openRemote1(true);
  } else {
    closeRemote1(true);
  }
}
